Skip to main content

List Scheduled Payments

Use this endpoint to list all scheduled payments associated with the specified user.

GET
/users/{user_guid}/scheduled_payments

Request sample

Language:shell

_10
curl -L -X GET 'https://int-api.mx.com/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/scheduled_payments' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_41
{
_41
"scheduled_payments": [
_41
{
_41
"transaction_type": "DEBIT",
_41
"recurrence_type": "EVERY_MONTH",
_41
"amount": 6.45,
_41
"created_at": "2020-12-02T17:21:09+00:00",
_41
"description": "Hulu",
_41
"guid": "SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b",
_41
"is_completed": false,
_41
"is_recurring": true,
_41
"merchant_guid": "MCH-92401b32-268a-fbda-c9d8-6583f7205fed",
_41
"occurs_on": "2020-10-18",
_41
"recurrence_day": 18,
_41
"updated_at": "2020-12-02T17:21:14+00:00",
_41
"user_guid": "USR-11a448aa-5e7b-70db-45d6-d6927092043e"
_41
},
_41
{
_41
"transaction_type": "DEBIT",
_41
"recurrence_type": null,
_41
"amount": 45.63,
_41
"created_at": "2021-05-20T19:27:36+00:00",
_41
"description": "Power bill",
_41
"guid": "SCP-54bed778-6600-4262-908c-8822f141cc30",
_41
"is_completed": false,
_41
"is_recurring": null,
_41
"merchant_guid": "MCH-bbe0f849-fcd1-5d64-ad5d-1dbbea56b31c",
_41
"occurs_on": "2021-05-30",
_41
"recurrence_day": null,
_41
"updated_at": "2021-05-20T19:27:36+00:00",
_41
"user_guid": "USR-11a448aa-5e7b-70db-45d6-d6927092043e"
_41
},
_41
...
_41
],
_41
"pagination": {
_41
"current_page": 1,
_41
"per_page": 25,
_41
"total_entries": 10,
_41
"total_pages": 1
_41
}
_41
}